dpkg-buildapi(1)

BEZEICHNUNG
dpkg-buildapi - liefert die während des Paketbaus zu verwendende Bau-API-Stufe zurück

ÜBERSICHT
dpkg-buildapi [Option…] [Befehl]

BESCHREIBUNG
dpkg-buildflags ist ein Werkzeug, das zur Ermittlung des während des Bau eines Debian-Quellpakets zu verwendenden dpkg-build-api(7) eingesetzt wird.

Dieses Programm wurde in Dpkg 1.22.0 hinzugefügt.

BEFEHLE

--help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

OPTIONEN

-cSteuerdatei
    Gibt die Haupt-control-Datei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/control.

UMGEBUNG

DPKG_BUILD_API
    Die zu verwendende Bau-API-Stufe. Dies ist zur internen Verwendung von Werkzeugen, die debian/rules ausführt, gedacht, um das mehrfache Auswerten von debian/control zu vermeiden und die globale Bau-API-Stufe nicht aus debian/rules zu setzen. Andernfalls können Bau-Treiber (wie dpkg-buildpackage(1)) nicht darauf zugreifen.

DPKG_COLORS
    Setzt den Farbmodus. Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird. Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

DATEIEN

  Paketierungsunterstützung

/usr/pkg/share/dpkg/buildapi.mk
    Makefile-Schnippsel, das die Bau-API-Stufe auswerten wird.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2024 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.